	var map = null;
	var geocoder = null;

	function mapdataLoad(address, blname, zoom) {
		if (GBrowserIsCompatible()) {
			map = new GMap2(document.getElementById("mapdata"));
			map.addControl(new GLargeMapControl());
			geocoder = new GClientGeocoder();
		}
		geosearchAddress(address, blname, zoom)
	}

	function geosearchAddress(address, blname, zoom) {
		if (geocoder) {
			geocoder.getLatLng(
				address,
				function(point) {
					map.setCenter(point, zoom);
					var marker = new GMarker(point);
					map.addOverlay(marker);
					var blText = address + "<br /><strong>" + blname + "</strong>"
					marker.openInfoWindowHtml(blText);
					GEvent.addListener(map, 'click', function(overlay, point) {
						if (overlay) {
							overlay.openInfoWindowHtml(blText);
						}
					});
				}
			);
		}
	}
